소스 검색

Clean up shell option setting

Signed-off-by: Fil <fil.bergamo@riseup.net>
Fil 3 년 전
부모
커밋
50afdae755
2개의 변경된 파일4개의 추가작업 그리고 2개의 파일을 삭제
  1. 3 1
      scripts/InstallScripts/FlashKernelPart.sh
  2. 1 1
      scripts/LibKernelUpgrade.sh

+ 3 - 1
scripts/InstallScripts/FlashKernelPart.sh

@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh
 
 # This file is part of PrawnOS (http://www.prawnos.com)
 # Copyright (c) 2018 Hal Emmerich <hal@halemmerich.com>
@@ -75,6 +75,8 @@ get_root_partition()
 
 # ------------- BEGIN SCRIPT EXECUTION --------------------
 
+set -e
+
 # Check root or sudo
 [ ! $(id -u) = 0 ] &&
     die "Please run this script with sudo, or as root" 1

+ 1 - 1
scripts/LibKernelUpgrade.sh

@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash
 
 # This file is part of PrawnOS (http://www.prawnos.com)
 # Copyright (c) 2018 Hal Emmerich <hal@halemmerich.com>